<script type="text/javascript">



	var util = { };

document.addEventListener('keydown', function(e){

    var key = util.key[e.which];
    if( key ){
        e.preventDefault();
    }

   if( key === 'F5' ){        
  return  printDiv('printableArea');
    }
  if( key === 'F6' ){        
  window.location.href = "../user/allquatation";
    }

	 if( key === 'enter' ){        
return true;
    }
	
   
	
	
})


  
util.key = { 
  9: "tab",
  //13: "enter",
  16: "shift",
  12: "alt",
  27: "esc",
  33: "rePag",
  34: "avPag",
  35: "end",
  36: "home",
  37: "left",
  38: "up",
  39: "right",
  40: "down",
  112: "F1",
  113: "F2",
  114: "F3",
  115: "F4",
  116: "F5",
  117: "F6",
  112: "F7",
  119: "F8",
  120: "F9",
  121: "F10",
  122: "F11",
  123: "F12"
}
 

	</script>
<script>
	function printDiv(divName) {
     var printContents = document.getElementById(divName).innerHTML;
     var originalContents = document.body.innerHTML;

     document.body.innerHTML = printContents.fontsize(16);
     window.print();

	 if( window.print()) {
         window.location.href = "../user/viewsales";
		alert(" printing...........");
    }else {

	
		      return      window.location.href = "../user/viewsales";

		    // document.body.innerHTML = originalContents;

	}
}
	</script>
 <style type="text/css">
  

  .invoice-box table tr.heading td {
        background: #eee;
        border-bottom: 1px solid #ddd;
        font-weight: bold;
		height:auto;
		
		
    }
    #printable { display: none; }
#print{  	


    background-repeat: no-repeat;
	font-size;20px;

    width:100%; height:50px;



}
.doted{
    border: dotted 3px #000000;
}
table { border-collapse: collapse; }
td { padding: 5px; }
#maintable tr { border-bottom:1px dashed #494949; padding:0px;}


table{
    border-collapse:collapse;/*This property collapses borders together*/
}

#sale{  	
background-image:url(images/add.png) ;

    background-repeat: no-repeat;
  
    width:100px; height:50px;


}
#alltitle{ font-size: 1em; }
	#mytitle { font-size: 1.5em; }
#extratitle { font-size: 2em; }
    @media print
    {
		
    	#non-printable { display: none; }
    	#printableArea { display: block; font-size:18; width:100%; }
		  margin:0; 
		#receipt{
	font-style: normal;font-size: 2em;
	
	padding:0px;
	
}
    }
    </style>
<?PHP

 echo $this->session->flashdata('imagemsg1'); 
		 
		    
$session_data = $this->session->userdata('logged_in');


$data['surname'] = $session_data['surname'];
$data['id'] = $session_data['id'];

$surname=$data['surname'];
   $userid=$data['id'];

   $myuser=$this->usermodel->geteuser($userid);
   $myname=$myuser[0]['firstname'];
    $postedtime = date('Y-m-d');
		$currenttime = date('h:i:sa');
 		$dateposted =  ($postedtime)." ".$currenttime ;	

function formatMoney($number, $fractional=false) {
						if ($fractional) {
							$number = sprintf('%.2f', $number);
						}
						while (true) {
							$replaced = preg_replace('/(-?\d+)(\d\d\d)/', '$1,$2', $number);
							if ($replaced != $number) {
								$number = $replaced;
							} else {
								break;
							}
						}
						return $number;
					}	

 $displaycode=$this->usermodel->populatuserpermissionsdataarray('config','productcode',$userid);
 $weight=$viewreceipt[0]['weight'];
					
?>
 
 <div class="row">

 

   	<div class="col-md-12">
	
  	
			<div class="table-responsive" id="printableArea" style="width:100%" >
						<table border="0" width="100%">
					
						<tr>
						<td colspan="2" valign="top">
<?php
 $session_data = $this->session->userdata('logged_in');

   
 	$data['id'] = $session_data['id'];
        
		 $userid = $data['id'];
$data['companyid'] = $session_data['companyid'];
	 $companyid = $data['companyid'];
		 $data['usertype'] = $session_data['usertype'];
	 $usertype = $data['usertype'];	
$data['branchid'] = $session_data['branchid'];
	 $branchid = $data['branchid'];
								$profile = $this->usermodel->populateall('smsconfig','id',$companyid);
		 $countbranch=$this->usermodel->countbranches($companyid);

	
		if(!is_array($profile)) 

 {
	 $this->session->set_flashdata('msg', '<div class="alert alert-danger fade in">
						 <a href="#" class="close" data-dismiss="alert">&times;</a><strong>Error!</strong>Upload photo</div>');
							

    }else {

    
          
  	foreach ($profile as $c): 
$photo= $c->logo;
		 	if($photo!=""){
		 
		 
		
		
	
			
		
		$img=$c->logo;
	
		$img1='uploads/';
	$url = base_url().$img1.$img;

 
 ?>
 <div >
<img class="img-circle" src="<?php echo $url ?>" height="100" width="100" style="border-radius:4px;  ">		 

</div>



	 <?php }else{
		 ?>

				<?php
	 }
		 endforeach; ?>

              <?php }?>
						
				 </br>		
						
				
	<?php 
										 if( $countbranch>1){
										 $mybranches= $this->usermodel->populateallarray('branch','id',$branchid);
										$branchdescription=$mybranches[0]['invoice']; if(isset($branchdescription)) {
											
											
											echo   strtoupper($branchdescription); }


										}else{
 						$description=$configuration[0]['description']; if(isset($description)) {echo   $description; }

											 
										 }
										?>							
						
						
						
						</td>
						
						<td colspan="2" valign="top" >
								<h2>QUOTATION 	</h2>
					
						</td>
						<td colspan="2" valign="top" id="mytitle" class="pull-right">

			

					
						Quotation  No: <?php echo$viewreceipt[0]['id'];?><BR>

						Ref No:  <?php $invoiceid; if(isset($invoiceid)) {echo   $invoiceid; }?><BR>
							 Date:  <?php echo$viewreceipt[0]['createdate'];?><BR>
							Expiry Date:  <?php echo$viewreceipt[0]['canceldate'];?><BR>

						</td>
						
						</tr>
						
					<TR>
					<td colspan="6">
					<hr style="border-top: 2px solid gray;">

					</td>
					</TR>
						<tr>
						
					
						<td colspan="3" id="mytitle">
						<B>Billing To:</B><B>Billing To:</B><?php 

						$customer=$viewreceipt[0]['supplier'];
							
							$mysupplier=$this->usermodel->populateallarray('people','id', $customer);
						$alldetais="";
														
														
					
					
						 
						 if($mysupplier[0]['company']!=""){
							 $alldetais.= $mysupplier[0]['company']."<br>";
						 }
						  if($mysupplier[0]['firstname']!=""){
							 $alldetais.= $mysupplier[0]['firstname']." ". $mysupplier[0]['surname']."<br>";
						 }
						  if($mysupplier[0]['idno']!=""){
							 $alldetais.= $mysupplier[0]['idno']."<br>";
						 }
						  if($mysupplier[0]['phone']!=""){
							 $alldetais.= $mysupplier[0]['phone']."<br>";
						 } if($mysupplier[0]['email']!=""){
							 $alldetais.= $mysupplier[0]['email']."<br>";
						 }
						  if($mysupplier[0]['website']!=""){
							// $alldetais= $mysupplier[0]['website']."<br>";
						 }
						  if($mysupplier[0]['zip']!=""){
							// $alldetais.= $mysupplier[0]['zip']."<br>";
						 }
						   if($mysupplier[0]['code']!=""){
							 $alldetais.= $mysupplier[0]['code']."<br>";
						 }
						 
						  if($mysupplier[0]['city']!=""){
							 $alldetais.= $mysupplier[0]['city']."<br>";
						 }
						
						  if($mysupplier[0]['comments']!=""){
							 $alldetais.= $mysupplier[0]['comments']."<br>";
						 }
						 
						 
													echo "<br>".$alldetais;

						//echo "<br>".$comments=$mysupplier[0]['comments'];
							?>
						
						
						
						
						
						
						
						</td>
						
							<td colspan="3" id="mytitle">
						<B>Shipping To:</B><br>
	 <?php echo$viewreceipt[0]['shippingto'];?><BR>
						</td>
						
						
						
							</tr>
																				
																				
																				
																				</table >
							
												</table >
<br><br>
										<div class="invoice-box">
													<table border="1" class="height2" height="100%" style="width:100%;" id="maintable">

								<tr class="heading">
							

							<td><b>From Date</b></td>
								<td><b>Expiry Date</b></td>
								<td><b>Ordered By</b></td>
								<td><b>Shipped Via</b></td>
								<td><b>F.O.B</b></td>

	<td ><b>Terms</b></td>
						</tr>
							
							<tr>
							

							<td><?php echo$viewreceipt[0]['orderdate'];?></td>
							<td><?php echo$viewreceipt[0]['canceldate'];?></td>
							<td><?php echo$viewreceipt[0]['orderedby'];?></td>
							<td><?php echo$viewreceipt[0]['deliverymethod'];?></td>
							<td><?php echo$viewreceipt[0]['fob'];?></td>
							<td><?php echo$viewreceipt[0]['terms'];?>
							
							</td>

							</tr>
						<tr>
							<td colspan="6"><br>	</td>
						</tr>
							<tr  class="heading">
							
<?php 
if($displaycode==true){
	 ?>
<td><b>Code</b></td>
<td><b>Item Name</b></td>
	 	<?php
		}else{?>
	<td colspan="2"><b>Item Name</b></td>
 <?php
 }
 ?>
 
 <?php
if($weight=="Yes"){
 ?>
		
										<td><b>No of Days</b></td>
										
											
											
<?php
}
 ?>
	
 <td><b>No of Pax</td>
								<td><b>Disc %</b></td>
								<td><b>Unit Price</b></td>
								<td><b>Total</b></td>
							</tr>
					
						<?php
					
 if(!is_array($viewsales)) {
	 

			 }else{
 if(!is_array($viewsales)) 

 {


   echo "<tr  style='margin-bottom:0px;margin-top:0px;' '>";
      echo "<td colspan='5'>";
    
    echo "</td>";
   echo "</tr>";
    }else {
 $totalcost=0;
  $totalvatcost=0;
  $totalexemptedcost=0;
   $totaltax=0;
  	foreach ($viewsales as $c): 

		 

             ?>
				                    <tbody >
									
										 
												
											<tr   valign="top">
											
											<?php 
if($displaycode==true){
	 ?>
									<td id="mytitle"><?php echo $c->code ; ?></td>

													    <td><?php ; 
	 $receiptdescription=$configuration[0]['receiptdescription'];
   $customer=$c->code;
   if($customer!=""){
	  
      $productname = $this->usermodel->geteproductbyid($customer);
  
     //echo$name=$productname[0]['name']; if($receiptdescription=="yes"){ echo"-".$description=$productname[0]['description'];}
     echo$name=strtoupper($productname[0]['name']); if($receiptdescription=="yes"){ echo"-".$description=strtoupper($productname[0]['description']);}

	
   }else{
	    echo "No Product";  
   }
  
  
  ?></td>
	 	<?php
		}else{?>
	
	
													    <td  colspan="2" id="mytitle"><?php ; 
	 $receiptdescription=$configuration[0]['receiptdescription'];
   $customer=$c->code;
   if($customer!=""){
	  
      $productname = $this->usermodel->geteproductbyid($customer);
  
     echo$name=$productname[0]['name']; if($receiptdescription=="yes"){ echo"-".$description=$productname[0]['description'];}

	
   }else{
	    echo "No Product";  
   }
  
  
  
  

	  if($c->description !=""){
	
echo " -".$c->description ."";
	
}

  ?></td>
 <?php
 }
 ?>
 
 
   <?php
if($weight=="Yes"){
 ?>
 
										<td id="mytitle"><?php echo $c->unit ; 
										
										
										
										
											  if($c->mode!=""){
	
											echo "  (".$c->mode.")";
	
												}
										
										
										
										?></td>
 
 
 

  	
								
											
<?php
}
?>

 
 
 
 
 
 
 
 
										<td id="mytitle"><?php echo $c->qty ; 
										if($weight !="Yes"){
										  if($c->mode!=""){
	
											echo "  (".$c->mode.")";
	
												}
										
										
										}
										
										
										
										
										
										
										?></td>
													<td id="mytitle"><?php echo $c->discount ; ?></td>
										 	 <td  id="mytitle"><?php 
echo formatMoney($c->sprice, true) ;

											 ?></td>
											 	 <td id="mytitle" align="right"><?php 
												 
					echo  $totalcostb=(($c->qty)*($c->bprice)* $c->unit ) ;
//$row->unit * $row->totalweight
												
												  $totalcost=$totalcost+$totalcostb;
												 
											
												 

												 ?>
												 
																									<?php  

?>			 
												 
												 
												 
												 
												 
												 
												 
												 </td>
											</tr>
										<?php endforeach;} ?>

              <?php }?>	
			  
			  
			  
					
								<tr>
								

								<td colspan="5" rowspan="6">
										<H3 class="pull-left">
							Prepared By:<?php
							
															$MYUSERS = $this->usermodel->populateallarray('people','id',$viewreceipt[0]['preparedby']);
if($MYUSERS[0]['firstname'] !=""){
	
	 echo$MYUSERS[0]['firstname'];
}else{
	 echo$viewreceipt[0]['preparedby'];
	
}
								
							
							?>
							
							</br>
							
															
															Signature:----------------------
											</H3>
								
								</td>
	

								
								
							

								
								
							
									</tr>
									
													<?php 
						$display1=$configuration[0]['display1']; 
						if(	$display1=="yes"){
						
						?>
						
							
			<tr><td ><B>SUB TOTAL</B></td><td align="right"><b>	<?php

						
							if(isset($totalcost)) {echo   formatMoney($totalcost-$totaltax, true); }
						
						
						?></b></td>	</tr>


								<tr><td ><B>VAT TOTAL	</B></td><td align="right"><B><?php if(isset($totaltax)) {  echo formatMoney($totaltax, true) ;}?></B></td>	</tr>
									<tr><td ><B>TAX RATE</B></td><td align="right"><B>	<?php $tax1rate=$configuration[0]['tax1rate']; if(isset($tax1rate)) {echo  formatMoney($tax1rate, true) ;}?>%</B></td>	</tr>
	
<tr><td ><B id="mytitle">GRAND TOTAL</B></td><td align="right"><B id="mytitle">	<?php if(isset($totalcost)) {echo  formatMoney($totalcost, true) ;}?></B></td>	</tr>

								</tr>
							

							
									
								<?php
									}else {
									?>
								<tr>
							
									<td><b id="mytitle">GRAND TOTAL:</b></td><td>	<b id="mytitle"><?php  if(isset($totalcost)) {echo   formatMoney($totalcost, true); }?></b></td>
									</tr>
							
									<?php
									}
									?>
								
				
							
						
							
							
							
							
							
				
									</tbody>
									
									
					</table>
			<div>
				<div>
<?php $invoicedetails=$configuration[0]['invoicedetails']; echo$viewreceipt[0]['description']; echo "<br>";

if(isset($invoicedetails)) {echo   $invoicedetails; }?>
<br>

</div>
					
					
					
					
				</div>
			</div>
			</div>
		</div>
  
  </div>
 </div>
 </div> 
			
			
		<script type="text/javascript">


$(window).load(function()
{
	 if( window.print()) {
         window.location.href = "../user/allquatation";
		     $("#next-btn").focus();

 }else{
	  //       window.location.href = "../user/allquatation";
 
 }
});
</script>	

		

















